=== debian/control ===
Source: ros-rolling-behaviortree-cpp-v3
Section: misc
Priority: optional
Maintainer: Davide Faconti <davide.faconti@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libncurses5-dev, libzmq3-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-index-cpp, ros-rolling-rclcpp, ros-rolling-ros-environment, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-behaviortree-cpp-v3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libncurses5-dev, libzmq3-dev, ros-rolling-ament-index-cpp, ros-rolling-rclcpp, ros-rolling-ros-workspace
Description: This package provides the Behavior Trees core library.
